SLICK-GREETER(8)

NAME
slick-greeter - distro agnostic LightDM greeter

SYNOPSIS
slick-greeter [ OPTIONS ]

DESCRIPTION
Slick Greeter is a LightDM greeter for all desktops. It is run by the LightDM daemon if configured in lightdm.conf. It is not normally run by a user, but can run in a test mode with the --test-mode option. This allows the interface to be tested without installing an updated version.

OPTIONS

-v, --version
    Show release version.

--test-mode
    Run the greeter in a test mode inside the current X session.

-?, --help
    Show help options.

Configuration File-Format

/etc/lightdm/slick-greeter.conf

Available configuration options are listed below.

background=
    Background file to use, either an image path or a color (e.g. #772953)

background-color=
    Background color (e.g. #772953), set before wallpaper is seen

draw-user-backgrounds=
    Whether to draw user backgrounds (true or false)

draw-grid=
    Whether to draw an overlay grid (true or false)

show-hostname=
    Whether to show the hostname in the menubar (true or false)

show-keyboard=
    Whether to show the keyboard indicator in the menubar (true or false)

show-a11y=
    Whether to show the accessibility options in the menubar (true or false)

show-power=
    Whether to show the power indicator in the menubar (true or false)

show-clock=
    Whether to show the clock in the menubar (true or false)

show-quit=
    Whether to show the quit menu in the menubar (true or false)

logo=
    Logo file to use

other-monitors-logo=
    Logo file to use for other monitors

theme-name=
    GTK+ theme to use

icon-theme-name=
    Icon theme to use

font-name=
    Font to use

xft-antialias=
    Whether to antialias Xft fonts (true or false)

xft-dpi=
    Resolution for Xft in dots per inch

xft-hintstyle=
    What degree of hinting to use (hintnone/hintslight/hintmedium/hintfull)

xft-rgba=
    Type of subpixel antialiasing (none/rgb/bgr/vrgb/vbgr)

onscreen-keyboard=
    Whether to enable the onscreen keyboard (true or false)

high-contrast=
    Whether to use a high contrast theme (true or false)

screen-reader=
    Whether to enable the screen reader (true or false)

play-ready-sound=
    A sound file to play when the greeter is ready

hidden-users=
    List of usernames that are hidden until a special key combination is hit

group-filter=
    List of groups that users must be part of to be shown (empty list shows all users)

enable-hidpi=
    Whether to enable HiDPI support (on/off/auto)

only_on_monitor=
    Sets the monitor on which to show the login window, -1 means "follow the mouse"

SEE ALSO
lightdm